'''Frontend gui to entertainer'''

def main(*args, **kwargs):
    '''Frontend runner'''

    # Import statements are inside thu function so that they aren't imported
    # every time something from the frontend is imported
    import clutter
    import gobject
    import gtk

    from entertainerlib.frontend.translation_setup import TranslationSetup
    TranslationSetup()

    from entertainerlib.backend.backend_server import BackendServer
    from entertainerlib.utils.configuration import Configuration
    from entertainerlib.frontend.frontend_client import FrontendClient

    gobject.threads_init()
    gtk.gdk.threads_init()
    clutter.threads_init()

    config = Configuration()
    if config.start_auto_server():
        print "Entertainer backend starting..."
        BackendServer()

    frontend_client = FrontendClient()
    frontend_client.start()


