'''Texture with rounded corners and reflection below'''

__licence__ = "GPLv2"
__copyright__ = "2007, Lauri Taimila"
__author__ = "Lauri Taimila <lauri@taimila.com>"

import clutter
from entertainerlib.frontend.gui.widgets.rounded_texture import RoundedTexture
from entertainerlib.frontend.gui.widgets.reflection_texture import (
    ReflectionTexture)

class EyeCandyTexture(clutter.Group):
    """
    Just a simple wrapper class for RoundedTexture and ReflectionTexture.

    EyeCandyTexture is a texture with rounded corners and reflection below.
    """

    def __init__(self, pixbuf, width, height):
        """
        Initialize new eye candy texture
        @param imagefile: Absoulte path to PNG file
        """
        clutter.Group.__init__(self)
        rounded = RoundedTexture(pixbuf, width, height)
        reflection = ReflectionTexture(pixbuf, width, height,
            round_corners=True)
        reflection.set_position(0, height)
        self.add(rounded)
        self.add(reflection)

