'''Simple Menuitem'''

__licence__ = "GPLv2"
__copyright__ = "2007, Lauri Taimila"
__author__ = "Lauri Taimila <lauri@taimila.com>"

import clutter

from entertainerlib.frontend.gui.widgets.base import Base

class MenuItem(Base, clutter.Group):
    """
    Simple menuitem widget.

    This is a base class for all menuitem types. MenuItems are supposed to be
    used in Menus which inherit GridMenu class.
    """

    def __init__(self):
        """Initialize menuitem."""

        Base.__init__(self)
        clutter.Group.__init__(self)
        self.active = False
        self.data = None

    def set_active(self, boolean):
        """
        Set menuitem active / inactive.
        @param boolean: use True to set active and False to set inactive
        """
        self.active = boolean

    def is_active(self):
        """
        Get widget status.
        @return True if widget is active, otherwise False
        """
        return self.active

    def set_userdata(self, data):
        """
        Set user data for this menuitem.
        @param id: ID string
        """
        self.data = data

    def get_userdata(self):
        """
        Get user data
        @return: string
        """
        return self.data

