'''Playable - Interface for playable streams. MediaPlayer plays Playables'''

__licence__ = "GPLv2"
__copyright__ = "2007, Lauri Taimila"
__author__ = "Lauri Taimila <lauri@taimila.com>"

class Playable:
    """
    Interface for playable media.

    This is an interface for all of those objects that can be played with the
    MediaPlayer object. MediaPlayer playes only files that implement this
    interface.

    At the moment following classes implement this:
        - Track
        - VideoItem
    """

    VIDEO_STREAM = 0
    AUDIO_STREAM = 1

    def get_uri(self):
        """
        Get URI of the playable stream.
        @return: String
        """
        return None

    def get_type(self):
        """
        Get type of the stream. This is one of the
        constants defined in Playable class.
        @return: Integer
        """
        return None

    def get_title(self):
        """
        Gets the title of the stream.
        @return: String
        @author: Joshua Scotton
        """
        return None

