#!/usr/bin/env python
"""Translation Setup Code"""

__licence__ = "GPLv2"
__copyright__ = "2008, Joshua Scotton, 2008, Matt Layman"
__author__ = ("Joshua Scotton <josh@joshuascotton.com>",
              "Matt Layman <laymansterms.dev@gmail.com>")
__version__ = "0.2"

import os

import gettext
import gtk
import gtk.glade

TRANSLATION_SOURCE = {
    'branch' : os.path.abspath(os.path.dirname(__file__) + '/../../locale'),
    # Hardcoded path for a package install
    'package' : "/usr/share/locale"
    }

class TranslationSetup:
    def __init__(self):
        # Find locale data from a dev branch if we can
        if os.path.exists(TRANSLATION_SOURCE['branch']):
            #This setups the _ function
            gettext.install('entertainer', TRANSLATION_SOURCE['branch'])

            #This setups the glade translations
            gtk.glade.bindtextdomain('entertainer',
                TRANSLATION_SOURCE['branch'])
        # Install locale data from the hardcoded package path
        elif os.path.exists(TRANSLATION_SOURCE['package']):
            #This setups the _ function
            gettext.install('entertainer', TRANSLATION_SOURCE['package'])

            #This setups the glade translations
            gtk.glade.bindtextdomain('entertainer',
                TRANSLATION_SOURCE['package'])
        else:
            pass

        gtk.glade.textdomain ('entertainer')

