"""Tests ScrollArea"""

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

import clutter

from entertainerlib.frontend.gui.widgets.base import Base
from entertainerlib.frontend.gui.widgets.label import Label
from entertainerlib.frontend.gui.widgets.scroll_area import ScrollArea
from entertainerlib.tests import EntertainerTest

class ScrollAreaTest(EntertainerTest):
    """Test for entertainerlib.frontend.gui.widgets.scroll_area"""

    def setUp(self):
        """Set up the test"""
        EntertainerTest.setUp(self)

        # Get a workable amount of text
        text = "Here is the start. "
        # pylint: disable-msg=W0612
        for i in range(0, 100):
            text += "Here is another sentence. "

        self.label = Label(0.1, "screentitle", 0.1, 0.2, text)
        self.scroll_area = ScrollArea(0.5, 0.6, 0.1, 0.1, self.label)

    def tearDown(self):
        """Clean up after the test"""
        EntertainerTest.tearDown(self)

    def testCreate(self):
        """Test correct ScrollArea initialization"""
        self.assertTrue(isinstance(self.label, (Base, clutter.Label)))

    def testSetStepSize(self):
        """Test correct step size setting"""
        self.scroll_area.set_step_size(.05)
        self.assertEqual(self.scroll_area.step_size, 38)

