"""Tests Theme"""

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

from entertainerlib.tests import EntertainerTest
from entertainerlib.utils.theme import Theme

class ThemeTest(EntertainerTest):
    """Test for entertainerlib.utils.theme"""

    def setUp(self):
        """Set up the test"""
        EntertainerTest.setUp(self)

        self.theme = Theme(self.config.get_theme_path())

    def tearDown(self):
        """Clean up after the test"""
        EntertainerTest.tearDown(self)

    def testCreate(self):
        """Test correct Theme initialization"""
        self.assertTrue(isinstance(self.theme, Theme))

    def testGetColor(self):
        """Test getting the color"""
        self.assertEqual(self.theme.get_color("background"), (21, 45, 83, 255))

    def testBadColor(self):
        """Test the output of color when it get a bad key element"""
        self.assertEqual(self.theme.get_color("junk"), (255, 0, 0, 255))
