'''Tests UserInterface'''

__license__ = 'GPLv2'
__copyright__ = '2009, Matt Layman'
__author__ = 'Matt Layman <laymansterms.dev@gmail.com>'

import clutter

from entertainerlib.frontend.gui.user_event import UserEvent
from entertainerlib.frontend.gui.user_interface import UserInterface
from entertainerlib.tests import EntertainerTest
from entertainerlib.tests.mock import MockClutterKeyboardEvent

class UserInterfaceTest(EntertainerTest):
    '''Test for entertainerlib.frontend.gui.user_interface'''

    def setUp(self):
        EntertainerTest.setUp(self)

        self.ui = UserInterface(None, None, None, None, None)

    def test_create(self):
        '''Test correct UserInterface initialization'''
        self.assertTrue(isinstance(self.ui, UserInterface))

    def test_handle_keyboard_event(self):
        '''Test clutter keyboard events are handled correctly.'''
        def mock_event_handler(event):
            '''Test some expected values.'''
            kind = event.get_type()
            if (not (kind == UserEvent.DEFAULT_EVENT or
                     kind == UserEvent.NAVIGATE_SELECT)):
                self.fail()

        good_event = MockClutterKeyboardEvent(clutter.keysyms.Return)
        self.ui.handle_keyboard_event(None, good_event, mock_event_handler)

        bad_event = MockClutterKeyboardEvent(-1)
        self.ui.handle_keyboard_event(None, bad_event, mock_event_handler)

